## openstack-trove 5.1.0

=== debian/changelog ===
openstack-trove (1:5.1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Aug 2016 09:08:43 +0000

openstack-trove (1:5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (buid-)depends for this point release.
  * Added pt_BR.po new debconf translation (Closes: #829346).
  * Fixed python-swiftclient missing EPOC.
  * Added use-realpath-function-to-find-my.cnf-in-debian.patch
    (Closes: #829369).

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Jul 2016 15:59:22 +0200

openstack-trove (1:5.0.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix db migration with MySQL 5.6 (Closes: #827739).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jun 2016 13:13:00 +0000

openstack-trove (1:5.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821238).
  * Set use_nova_config_drive to True by default.
  * Updated Dutch translation for debconf messages (Closes: #822970).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 May 2016 11:24:58 +0200

openstack-trove (1:5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:55:44 +0200

openstack-trove (1:5.0.0~rc2-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 12:07:16 +0200

openstack-trove (1:5.0.0~rc2-2) experimental; urgency=medium

  * Added better-default-config.patch.
  * Fixed trove-guestagent startup parameters.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Apr 2016 18:02:48 +0200

openstack-trove (1:5.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Added /etc/trove/cloudinit/README file, so that the /etc/trove/cloudinit
    folder stays installed.
  * Added "pkgos_rabbit_read_conf ${CONF} oslo_messaging_rabbit trove" in the
    config script.
  * Sets Neutron as network manager by default, and not nova-network.
  * Move all config files handling within trove-common.
  * Move all logrotate stuff within trove-common.logrotate.
  * Write db and rabbit info in all needed config files.
  * Add make-trove-taskmanager.conf-parseable.patch.
  * Add install-missing-files.patch.
  * Add add-keystone_authtoken-in-trove.conf.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2016 10:25:54 +0200

openstack-trove (1:5.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2016 08:05:35 +0000

openstack-trove (1:5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Added couchdb as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 14:20:28 +0100

openstack-trove (1:5.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed patches.
  * Added (= ${binary:Version}) in all Depends: trove-common.
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.
  * Fails build on unit test failure.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 10:03:36 +0100

openstack-trove (1:5.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Redesign running unit tests.
  * Black list:
    - guestagent.test_dbaas.BaseDbStatusTest.test_begin_install
    - guestagent.test_vertica_manager.GuestAgentManagerTest.test_cluster_complete
  * Allow unit tests to fail until this bug is solved:
    - https://bugs.launchpad.net/trove/+bug/1537306

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 17:42:26 +0100

openstack-trove (1:4.0.0-3) unstable; urgency=medium

  * Added q-text-as-data in depends of trove-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:55:15 +0000

openstack-trove (1:4.0.0-2) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 09:13:13 +0000

openstack-trove (1:4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-no-support-for-sslv3-in-debian.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Oct 2015 03:10:20 +0100

openstack-trove (2015.1.0-4) unstable; urgency=medium

  * Rebuilt with SQLAlchemy >= 1.0 (Closes: #794352).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Aug 2015 07:59:39 +0000

openstack-trove (2015.1.0-3) unstable; urgency=medium

  * Removes the suggests: python-suds (Closes: #788083).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 15:28:24 +0200

openstack-trove (2015.1.0-2) unstable; urgency=medium

  * Added creation of /var/cache/trove (owned by trove:trove).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2015 01:12:42 +0200

openstack-trove (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 22:14:22 +0000

openstack-trove (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.
  * Dropped do-not-use-network-when-building-docs.patch now useless.
  * Allow unit tests to fail.
  * Rebased default sql connection patch, and fixed directive names.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jan 2015 22:43:50 +0100

openstack-trove (2014.2-2) experimental; urgency=medium

  * Added nl.po debconf translation (Closes: #767422).

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 18:23:16 +0800

openstack-trove (2014.2-1) experimental; urgency=medium

  * New upstream release.



=== debian/control ===
Source: openstack-trove
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: iproute2,
                     net-tools,
                     python-babel,
                     python-cassandra,
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage,
                     python-crypto,
                     python-designateclient (>= 1.5.0),
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fs,
                     python-gdata,
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 0.6.0),
                     python-httplib2,
                     python-iso8601,
                     python-jinja2 (>= 2.8),
                     python-jsonschema,
                     python-keyczar,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-netifaces,
                     python-neutronclient (>= 1:2.6.0),
                     python-nose,
                     python-nosexcover,
                     python-novaclient (>= 2:2.29.0),
                     python-openstack-doc-tools (>= 0.23),
                     python-openstack.nose-plugin,
                     python-oslo.concurrency (>= 3.7.1),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-osprofiler (>= 1.1.0),
                     python-passlib (>= 1.6),
                     python-paste,
                     python-pastedeploy,
                     python-pexpect,
                     python-proboscis,
                     python-psycopg2 (>= 2.5),
                     python-pymongo (>= 3.0.2),
                     python-redis (>= 2.10.0),
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1:2.0.0),
                     python-webob,
                     python-webtest,
                     python-wsgi-intercept,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/openstack-trove.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/openstack-trove.git
Homepage: https://github.com/openstack/trove

Package: python-trove
Architecture: all
Section: python
Depends: python-babel,
         python-cinderclient (>= 1:1.3.1),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.4),
         python-enum34,
         python-heatclient (>= 0.6.0),
         python-httplib2,
         python-iso8601,
         python-jinja2 (>= 2.8),
         python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-netifaces,
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.7.1),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-osprofiler (>= 1.1.0),
         python-passlib (>= 1.6),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pexpect,
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-swiftclient (>= 1:2.2.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Conflicts: python-cjson,
Description: Database as a Service for OpenStack - Python lib
 Trove is "Database as a Service" for Openstack. It's designed to allow users
 to quickly and easily utilize the features of a relational database without
 the burden of handling complex administrative tasks.
 .
 Cloud users and database administrators can provision and manage multiple
 database instances as needed. The service focus on providing resource
 isolation at high performance while automating deployment, configuration,
 patching, backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove Python library.

Package: trove-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-trove (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - common files
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove common files.

Package: trove-api
Architecture: all
Depends: adduser,
         trove-common (= ${binary:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - API server
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove API server. The trove-api service provides a
 RESTful API that supports JSON and XML to provision and manage Trove
 instances.

Package: trove-guestagent
Architecture: all
Depends: adduser,
         trove-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - guest agent
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove guest agent. The guestagent is a service that
 runs within the guest instance, responsible for managing and performing
 operations on the Database itself. The Guest Agent listens for RPC messages
 through the message bus and performs the requested operation.

Package: trove-taskmanager
Architecture: all
Depends: adduser,
         trove-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - taskmanager
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove taskmanager. The trove-taskmanager service
 does the heavy lifting as far as provisioning instances, managing the
 lifecycle of instances, and performing operations on the Database instance.

Package: trove-conductor
Architecture: all
Depends: adduser,
         trove-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - conductor
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT := https://github.com/openstack/trove.git

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/trove-common.postinst
	rm -f debian/trove-common.config
	rm -f debian/trove-api.postinst
	rm -f debian/trove-api.config
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.config

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/trove-doc/usr/share/doc/trove-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-trove; \
	done
	# Install the config files in the different binary packages
	# -guestagent
	install -D -m 0664 $(CURDIR)/etc/trove/trove-guestagent.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-guestagent.conf
	# -taskmanager
	install -D -m 0664 $(CURDIR)/etc/trove/trove-taskmanager.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-taskmanager.conf
	# -conductor
	install -D -m 0664 $(CURDIR)/etc/trove/trove-conductor.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-conductor.conf
	# -common
	install -D -m 0664 $(CURDIR)/etc/trove/trove.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf
	# We want neutron by default, not nova-network
	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf DEFAULT network_driver	trove.network.neutron.NeutronDriver

	# Use nova config drive by default
	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-taskmanager.conf DEFAULT use_nova_server_config_drive True

	install -D -m 0664 $(CURDIR)/etc/trove/api-paste.ini $(CURDIR)/debian/trove-common/usr/share/trove-common/api-paste.ini

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit '(?!.*guestagent\.test_dbaas\.MySqlAppTest\.test__wait_for_slave_status.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

## openstack-trove 5.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
WebOb>=1.2.3 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
netifaces>=0.10.4 # MIT
httplib2>=0.7.5 # MIT
lxml>=2.3 # BSD
passlib>=1.6 # BSD
python-heatclient>=0.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-cinderclient>=1.3.1 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,<3.0.0,>=1.6.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
iso8601>=0.1.9 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
Jinja2>=2.8 # BSD License (3 clause)
pexpect!=3.3,>=3.1 # ISC License
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.concurrency>=3.7.1 # Apache-2.0
MySQL-python;python_version=='2.7' # GPL
Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
osprofiler>=1.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

=== debian/changelog ===
openstack-trove (1:5.1.1-0ubuntu2) xenial; urgency=medium

  * d/p/add-missing-import.patch: Cherry-pick patch from upstream
    to add missing '_LE' import for trove-guestagent (LP: #1620888).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Oct 2016 17:42:56 +0200

openstack-trove (1:5.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1619318).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Sep 2016 15:26:33 -0400

openstack-trove (1:5.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1604007).
  * d/p/skip-failing-tests.patch: Rebased.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Thu, 21 Jul 2016 11:24:01 -0400

openstack-trove (1:5.0.1-0ubuntu1) xenial; urgency=medium

  [ James Page ]
  * d/*.init.in: Use correct configuration file for each of the trove
    daemons (LP: #1516471).

  [ Corey Bryant ]
  * New upstream point release for OpenStack Mitaka (LP: #1601854).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Jul 2016 10:19:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,57 +1,53 @@
 Source: openstack-trove
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Julien Danjou <acid@debian.org>,
+           Thomas Goirand <zigo@debian.org>,
+           Mehdi Abaakouk <sileht@sileht.net>,
+           David Della Vecchia <ddv@canonical.com>,
+Build-Depends: debhelper (>= 9~),
+               dh-exec,
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
-               po-debconf,
+               openstack-pkg-tools (>= 23~),
                python-all,
-               python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: iproute2,
-                     net-tools,
-                     python-babel,
-                     python-cassandra,
+Build-Depends-Indep: python-babel (>= 1.3),
+                     python-cassandra (>= 2.1.4),
                      python-cinderclient (>= 1:1.3.1),
-                     python-coverage,
-                     python-crypto,
+                     python-couchdb (>= 0.8),
+                     python-coverage (>= 3.6),
                      python-designateclient (>= 1.5.0),
-                     python-enum34,
-                     python-eventlet (>= 0.18.4),
-                     python-fs,
-                     python-gdata,
+                     python-eventlet (>= 0.18.2),
                      python-hacking (>= 0.10.0),
                      python-heatclient (>= 0.6.0),
-                     python-httplib2,
-                     python-iso8601,
+                     python-httplib2 (>= 0.7.5),
+                     python-iso8601 (>= 0.1.9),
                      python-jinja2 (>= 2.8),
-                     python-jsonschema,
-                     python-keyczar,
+                     python-jsonschema (>= 2.0.0),
                      python-keystoneclient (>= 1:1.6.0),
                      python-keystonemiddleware (>= 4.0.0),
-                     python-lxml,
+                     python-lxml (>= 2.3),
                      python-migrate (>= 0.9.6),
-                     python-mock (>= 1.3),
-                     python-mox3,
+                     python-mock (>= 1.2),
+                     python-mox3 (>= 0.7.0),
                      python-mysqldb,
                      python-netaddr (>= 0.7.12),
-                     python-netifaces,
+                     python-netifaces (>= 0.10.4),
                      python-neutronclient (>= 1:2.6.0),
                      python-nose,
                      python-nosexcover,
                      python-novaclient (>= 2:2.29.0),
                      python-openstack-doc-tools (>= 0.23),
-                     python-openstack.nose-plugin,
                      python-oslo.concurrency (>= 3.7.1),
                      python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 2.0.0),
+                     python-oslo.log (>= 1.14.0),
                      python-oslo.messaging (>= 4.0.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.serialization (>= 1.10.0),
@@ -61,49 +57,50 @@
                      python-osprofiler (>= 1.1.0),
                      python-passlib (>= 1.6),
                      python-paste,
-                     python-pastedeploy,
-                     python-pexpect,
-                     python-proboscis,
+                     python-pastedeploy (>= 1.5.0),
+                     python-pbr (>= 1.8),
+                     python-pexpect (>= 3.1),
                      python-psycopg2 (>= 2.5),
+                     python-proboscis (>= 1.2.5.3),
                      python-pymongo (>= 3.0.2),
+                     python-pymysql,
                      python-redis (>= 2.10.0),
-                     python-routes,
+                     python-routes (>= 1.12.3),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.5.0),
                      python-swiftclient (>= 1:2.2.0),
                      python-testtools (>= 1.4.0),
-                     python-troveclient (>= 1:2.0.0),
-                     python-webob,
-                     python-webtest,
-                     python-wsgi-intercept,
-                     subunit,
-                     testrepository,
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/openstack-trove.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/openstack-trove.git
-Homepage: https://github.com/openstack/trove
+                     python-troveclient,
+                     python-webob (>= 1.2.3),
+                     python-webtest (>= 2.0),
+                     python-wsgi-intercept (>= 0.6.1),
+                     subunit (>= 0.0.18),
+                     testrepository (>= 0.0.18),
+Standards-Version: 3.9.6
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
+Homepage: http://github.com/openstack/trove
 
 Package: python-trove
 Architecture: all
 Section: python
-Depends: python-babel,
+Depends: python-babel (>= 1.3),
          python-cinderclient (>= 1:1.3.1),
          python-designateclient (>= 1.5.0),
-         python-eventlet (>= 0.18.4),
-         python-enum34,
+         python-eventlet (>= 0.18.2),
          python-heatclient (>= 0.6.0),
-         python-httplib2,
-         python-iso8601,
+         python-httplib2 (>= 0.7.5),
+         python-iso8601 (>= 0.1.9),
          python-jinja2 (>= 2.8),
-         python-jsonschema,
+         python-jsonschema (>= 2.0.0),
          python-keystoneclient (>= 1:1.6.0),
          python-keystonemiddleware (>= 4.0.0),
-         python-lxml,
+         python-lxml (>= 2.3),
          python-migrate (>= 0.9.6),
          python-mysqldb,
          python-netaddr (>= 0.7.12),
-         python-netifaces,
+         python-netifaces (>= 0.10.4),
          python-neutronclient (>= 1:2.6.0),
          python-novaclient (>= 2:2.29.0),
          python-oslo.concurrency (>= 3.7.1),
@@ -111,7 +108,7 @@
          python-oslo.context (>= 0.2.0),
          python-oslo.db (>= 4.1.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 2.0.0),
+         python-oslo.log (>= 1.14.0),
          python-oslo.messaging (>= 4.0.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.serialization (>= 1.10.0),
@@ -120,17 +117,19 @@
          python-osprofiler (>= 1.1.0),
          python-passlib (>= 1.6),
          python-paste,
-         python-pastedeploy,
+         python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),
-         python-pexpect,
-         python-routes,
+         python-pexpect (>= 3.1),
+         python-pymysql,
+         python-routes (>= 1.12.3),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.5.0),
          python-swiftclient (>= 1:2.2.0),
-         python-webob,
-         ${misc:Depends},
-         ${python:Depends},
+         python-webob (>= 1.2.3),
+         ${misc:Depends},
+         ${python:Depends},
+Suggests: python-suds (>= 0.4.0),
 Conflicts: python-cjson,
 Description: Database as a Service for OpenStack - Python lib
  Trove is "Database as a Service" for Openstack. It's designed to allow users
@@ -150,7 +149,6 @@
 Package: trove-common
 Architecture: all
 Depends: adduser,
-         dbconfig-common,
          python-trove (= ${binary:Version}),
          sqlite3,
          ${misc:Depends},
@@ -172,10 +170,7 @@
 
 Package: trove-api
 Architecture: all
-Depends: adduser,
-         trove-common (= ${binary:Version}),
-         python-openstackclient,
-         q-text-as-data,
+Depends: trove-common,
          ${misc:Depends},
          ${python:Depends},
 Description: Database as a Service for OpenStack - API server
@@ -197,8 +192,7 @@
 
 Package: trove-guestagent
 Architecture: all
-Depends: adduser,
-         trove-common (= ${binary:Version}),
+Depends: trove-common,
          ${misc:Depends},
          ${python:Depends},
 Description: Database as a Service for OpenStack - guest agent
@@ -221,8 +215,7 @@
 
 Package: trove-taskmanager
 Architecture: all
-Depends: adduser,
-         trove-common (= ${binary:Version}),
+Depends: trove-common,
          ${misc:Depends},
          ${python:Depends},
 Description: Database as a Service for OpenStack - taskmanager
@@ -244,8 +237,7 @@
 
 Package: trove-conductor
 Architecture: all
-Depends: adduser,
-         trove-common (= ${binary:Version}),
+Depends: trove-common,
          ${misc:Depends},
          ${python:Depends},
 Description: Database as a Service for OpenStack - conductor
@@ -257,7 +249,3 @@
  focus on providing resource isolation at high performance while automating
  complex administrative tasks including deployment, configuration, patching,
  backups, restores, and monitoring. Trove is designed to support a
- single-tenant database within a Nova instance. There is no restrictions on how
- Nova is configured, since Trove interacts with other OpenStack components
- purely through the API.
- .

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd

override_dh_install:
	dh_install --fail-missing

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf .eggs

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	python run_tests.py
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		python setup.py testr --slowest --testr-args='--subunit'| tee $$TEMP_REZ | subunit2pyunit; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true; \
		rm -f $$TEMP_REZ
endif
